Bug 6519 - Невозможно изменить настройки питания начиная с R6
: Невозможно изменить настройки питания начиная с R6
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-30 11:54 MSK by Vladimir Potapov
Modified: 2016-01-06 10:53 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
измененный файл генерации конфига (13.51 KB, text/x-c++src)
2015-12-30 11:54 MSK, Vladimir Potapov
Details
или, даже лучше так (13.91 KB, text/x-c++src)
2015-12-30 12:05 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2015-12-30 11:54:42 MSK
Created attachment 4336 [details]
измененный файл генерации конфига

В R6 была сделана другая настройка дефолтного питания через конфиг 
/var/lib/mandriva/kde4-profiles/common/share/config/powermanagementprofilesrc
но оказалось, что это работает правильно только если потом не менять настройки.
Чтоб все было ок проще не править код, а изменить дефолты прямо в нем.
Для этого нужно
1) Удалить /var/lib/mandriva/kde4-profiles/common/share/config/powermanagementprofilesrc из mandriva-kde4-config
2) пропатчить kde-workspace-4.11.22/powerdevil/daemon/powerdevilprofilegenerator.cpp, изменив там дефолты при создании нового конфига
см аттач
Comment 1 Vladimir Potapov 2015-12-30 12:05:50 MSK
Created attachment 4337 [details]
или, даже лучше так

более корректное изменение
Comment 2 Andrey Bondrov 2015-12-30 15:45:29 MSK
1. mandriva-kde4-config:

Advisory: "Drop power management default settings"
https://abf.rosalinux.ru/build_lists/2613711
https://abf.rosalinux.ru/build_lists/2613712

2. kdebase4-workspace:

Advisory: "Adjust power management default settings"
https://abf.rosalinux.ru/build_lists/2613709
https://abf.rosalinux.ru/build_lists/2613710
Comment 3 Vladimir Potapov 2015-12-30 17:08:44 MSK
The update is sent to expanded testing
**************************************
Comment 4 Vladimir Potapov 2016-01-05 00:00:43 MSK
mandriva-kde4-config-2014-23
https://abf.rosalinux.ru/build_lists/2613711
https://abf.rosalinux.ru/build_lists/2613712

kdebase4-workspace-4.11.22-2
https://abf.rosalinux.ru/build_lists/2613709
https://abf.rosalinux.ru/build_lists/2613710
*********************** Advisory **********************************
Drop power management default settings in configs, adjust power management default settings in code
*******************************************************************
QA Verified